Macro VisibleAlls

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro VisibleAlls and the translation is 67% complete.
Outdated translations are marked like this.
Other languages:
English • ‎français • ‎italiano • ‎polski • ‎русский

Macro VisibleAlls.png Macro VisibleAlls

Descrizione
Questa macro mostra tutti gli oggetti del documento (Visibility True).

Versione macro: 00.01
Ultima modifica: 2015-11-12
Versione FreeCAD: All
Download: ToolBar Icon
Autore: Mario52
Autore
Mario52
Download
ToolBar Icon
Link
Versione macro
00.01
Data ultima modifica
2015-11-12
Versioni di FreeCAD
All
Scorciatoia
Nessuna
Vedere anche
Macro Toggle Visibility2 1-2
Macro Toggle Visibility2 2-2
Macro_Toggle_Visibility
Macro_HiddenAlls
Macro If Selected Stay If Not Then Delete

Descrizione

Questa macro mostra tutti gli oggetti del documento (Visibility True).

Script

ToolBar Icon Macro VisibleAlls.png

Macro_VisibleAlls.FCMacro

import FreeCAD
#Macro_VisibleAlls
__title__="Macro_DisplayAllObjects"
__author__ = "Mario52"
__url__     = "http://www.freecadweb.org/index-fr.html"
__version__ = "00.00"
__date__    = "11/11/2015"

try:
    for ShapeNameObj in FreeCAD.ActiveDocument.Objects:   # displyed alls objects
        #print ShapeNameObj.Name
        FreeCADGui.ActiveDocument.getObject(ShapeNameObj.Name).Visibility = True
except Exception:
    None